# eric4.Plugins.PluginTabnanny

Module implementing the Tabnanny plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
shortDescription
version

### Classes

TabnannyPlugin | Class implementing the Tabnanny plugin.

### Functions

None

## TabnannyPlugin

Class implementing the Tabnanny plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

TabnannyPlugin | Constructor
__editorClosed | Private slot called, when an editor was closed.
__editorOpened | Private slot called, when a new editor was opened.
__editorShowMenu | Private slot called, when the the editor context menu or a submenu is about to be shown.
__editorTabnanny | Private slot to handle the tabnanny context menu action of the editors.
__initialize | Private slot to (re)initialize the plugin.
__projectBrowserShowMenu | Private slot called, when the the project browser context menu or a submenu is about to be shown.
__projectBrowserTabnanny | Private method to handle the tabnanny context menu action of the project sources browser.
__projectShowMenu | Private slot called, when the the project menu or a submenu is about to be shown.
__projectTabnanny | Public slot used to check the project files for bad indentations.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

### Static Methods

None

#### TabnannyPlugin (Constructor)

TabnannyPlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### TabnannyPlugin.__editorClosed

__editorClosed(editor)

Private slot called, when an editor was closed.

editor
  reference to the editor (QScintilla.Editor)

#### TabnannyPlugin.__editorOpened

__editorOpened(editor)

Private slot called, when a new editor was opened.

editor
  reference to the new editor (QScintilla.Editor)

#### TabnannyPlugin.__editorShowMenu

__editorShowMenu(menuName, menu, editor)

Private slot called, when the the editor context menu or a submenu is about to be shown.

menuName
  name of the menu to be shown (string)
menu
  reference to the menu (QMenu)
editor
  reference to the editor

#### TabnannyPlugin.__editorTabnanny

__editorTabnanny()

Private slot to handle the tabnanny context menu action of the editors.

#### TabnannyPlugin.__initialize

__initialize()

Private slot to (re)initialize the plugin.

#### TabnannyPlugin.__projectBrowserShowMenu

__projectBrowserShowMenu(menuName, menu)

Private slot called, when the the project browser context menu or a submenu is about to be shown.

menuName
  name of the menu to be shown (string)
menu
  reference to the menu (QMenu)

#### TabnannyPlugin.__projectBrowserTabnanny

__projectBrowserTabnanny()

Private method to handle the tabnanny context menu action of the project sources browser.

#### TabnannyPlugin.__projectShowMenu

__projectShowMenu(menuName, menu)

Private slot called, when the the project menu or a submenu is about to be shown.

menuName
  name of the menu to be shown (string)
menu
  reference to the menu (QMenu)

#### TabnannyPlugin.__projectTabnanny

__projectTabnanny()

Public slot used to check the project files for bad indentations.

#### TabnannyPlugin.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status (boolean)

#### TabnannyPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

Up